/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __AUDIO3D_CONTEXT_INL
#define __AUDIO3D_CONTEXT_INL

namespace magnum { namespace audio3d {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline bool Context::makeCurrent() {
	alcMakeContextCurrent(m_Context);
	g_Current = this;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Context* Context::getCurrent() {
	return g_Current;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Device* Context::getDevice() const {
	return m_Device;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void Context::process() {
	alcProcessContext(m_Context);
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void Context::suspend() {
	alcSuspendContext(m_Context);
}

}; };

#endif
