/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __AUDIO3D_DEVICE_H
#define __AUDIO3D_DEVICE_H

#include "object.h"
#include "al/al.h"
#include "al/alc.h"

namespace magnum { namespace audio3d {
using magnum::object::Object;
using magnum::types::String;

class Context;

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class Device : public Object {
DeclareClass(Context, Object);
private:
	ALCdevice*			m_Device;

private:
	Device();

public:
	~Device();

	static Device*		create(const char* name);

	Context*			createContext();
};

}; };

#endif
