/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __CONTAINER_MULTISET_H
#define __CONTAINER_MULTISET_H

#include "container.set.h"

namespace magnum { namespace container {

/*----------------------------------------------------------------------------------
----------------------------------------------------------------------------------*/
template<class T> class Multiset : public Set<T> {
DeclareClass(Multiset, Set<T>);
public:
	typedef Set<T>::Iterator	Iterator;

public:
	Iterator		insert(const T& item);
};


}; };

#endif
