/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __GRAPHICS3D_DYNAMICMODEL_H
#define __GRAPHICS3D_DYNAMICMODEL_H

#include "graphics3d.model.h"
#include "graphics3d.indexmesh.h"

namespace magnum { namespace graphics3d {
using magnum::math::Vector3;
using magnum::container::Array;

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class DynamicModel : public Model {
DeclareClass(DynamicModel, Model);
public:
	inline void				update();

protected:
	virtual void			onUpdate();
};

}; };

#endif
