/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __GRAPHICS3D_SHADERPROGRAM_INL
#define __GRAPHICS3D_SHADERPROGRAM_INL

namespace magnum { namespace graphics3d {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline ShaderProgram::ShaderProgram() {
	m_Attributes = 0;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline unsigned int ShaderProgram::getAttributes() const {
	return m_Attributes;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void ShaderProgram::publishAttributes(unsigned int att) {
	m_Attributes = att;
}

}; };

#endif
