/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __GRAPHICS3D_TEXTURE1D_INL
#define __GRAPHICS3D_TEXTURE1D_INL

namespace magnum { namespace graphics3d {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline unsigned int Texture1D::getMinSize() {
	return Context::getCurrent()->getTextureStack()->m_MinTexture1DSize;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline unsigned int Texture1D::getMaxSize() {
	return Context::getCurrent()->getTextureStack()->m_MaxTexture1DSize;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline bool Texture1D::isLocked() const {
	return m_Locked;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline unsigned int Texture1D::getSize() const {
	return m_Size;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline unsigned int Texture1D::getLevels() const {
	return m_Levels;
}


}; };

#endif