/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __OBJECT_EXCEPTION_INL
#define __OBJECT_EXCEPTION_INL

namespace magnum { namespace object {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Exception::Exception() {
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Exception::Exception(const String& string) : m_Message(string) {
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Exception::Exception(const char* string) : m_Message(string) {
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline String Exception::getName() const {
	return String("Exception");
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline String Exception::toString() const {
	return m_Message;
}

}; };
#endif
