/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __SCENE3D_MODELNODE_INL
#define __SCENE3D_MODELNODE_INL

namespace magnum { namespace scene3d {


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline ModelNode::ModelNode() {
	m_Parameters = NULL;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline ModelNode::ModelNode(Model* m) {
	m_Parameters = NULL;
	attachModel(m);
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline ModelNode::~ModelNode() {
	detachModel();
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline Model* ModelNode::getModel() const {
	return m_Model;
}


}; };

#endif
