/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __STATS_EXPONENTIAL_H
#define __STATS_EXPONENTIAL_H

#include "stats.random.h"

namespace magnum { namespace stats {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class Exponential : public Random {
DeclareClass(Exponential, Random);
private:
	float				m_Parameter;
	
public:
	inline Exponential();
	inline explicit Exponential(float );
	
	inline void			setParameter(float );
	inline float		getParameter() const;
	
	float				operator()();
};



}; };

#endif
