/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __ALGORITHM_SWAP_INL
#define __ALGORITHM_SWAP_INL

namespace magnum { namespace algorithm {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
template<class I> inline  void swap(const I& ai, const I& bi) {
    char tmp;
	int width = sizeof(*ai);
	unsigned char* a = (unsigned char *)(void *)&(*ai);
	unsigned char* b = (unsigned char *)(void *)&(*bi);

    if ( a != b ) {
        while ( width-- ) {
            tmp = *a;
            *a++ = *b;
            *b++ = tmp;
        }
	}
}


}; };

#endif
