/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __CONTAINER_MULTIMAP_H
#define __CONTAINER_MULTIMAP_H

#include "container.map.h"

namespace magnum {namespace container {

/*----------------------------------------------------------------------------------
----------------------------------------------------------------------------------*/
template<class Key, class Item> class Multimap : public Map<Key, Item> {
//DeclareClass(Multimap, (Map<Key, Item>));
public:
	typedef Map<Key,Item>::Iterator	Iterator;

public:
	Iterator		insert(const Key& key, const Item& item);
	void			remove(const Key& key);
};

}; };

#endif
