/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __OPENGL_DEPTHTEXTURE_H
#define __OPENGL_DEPTHTEXTURE_H

#include "graphics3d.context.h"
#include "graphics3d.texture2d.h"


namespace magnum { namespace graphics3d {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class DepthTexture : public Texture2D {
DeclareClass(DepthTexture, Texture2D);
protected:
	DepthTexture(unsigned int tex);

public:
	static DepthTexture*	create(Type ,Dimension<int>& d, int levels = 0);
	static DepthTexture*	create(Type ,int w, int h, int levels = 0);
	static DepthTexture*	create(const Image* , int levels = 0);
};

}; };

#endif
