/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __GRAPHICS3D_INDEXMESH_INL
#define __GRAPHICS3D_INDEXMESH_INL

namespace magnum { namespace graphics3d {


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void IndexMesh::attachIndexBuffer(IndexBuffer* ib) {
	ASSERT(ib != NULL)
	m_IndexBuffer = ib;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void IndexMesh::detachIndexBuffer() {
	m_IndexBuffer = NULL;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline IndexBuffer* IndexMesh::getIndexBuffer() const {
	return m_IndexBuffer;
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline void IndexMesh::selectIndexBuffer() const {
	m_IndexBuffer->select();
}

}; };

#endif
