/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __GRAPHICS3D_MATERIALSTACK_H
#define __GRAPHICS3D_MATERIALSTACK_H

namespace magnum {namespace graphics3d {
using magnum::object::Object;
using magnum::types::String;

class Material;
class Context;

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class MaterialStack : public Object {
DeclareClass(MaterialStack, Object);
friend Material;
friend Context;
private:
	const Material*		m_Material;

private:
	inline MaterialStack();

public:
	inline const Material*	getMaterial() const;
};

}; };

#endif
