/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __GRAPHICS3D_RENDERTARGET_H
#define __GRAPHICS3D_RENDERTARGET_H


#include "object.h"
#include "graphics3d.resource.h"


namespace magnum { namespace graphics3d {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class RenderTarget : public Resource {
DeclareClass(RenderTarget, Resource);
protected:
	inline RenderTarget();
	
public:
	inline ~RenderTarget();

	inline void			select();
	inline void			deselect();
	inline void			forceSelect();
	static inline void	selectNone();

protected:
	virtual void		onSelect();
	virtual void		onDeselect();
};

}; };

#endif
