/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __GRAPHICS3D_SHADERPROGRAM_H
#define __GRAPHICS3D_SHADERPROGRAM_H

#include "graphics3d.resource.h"

namespace magnum { namespace graphics3d {

class Shader;

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class ShaderProgram : public Resource {
DeclareClass(ShaderProgram, Resource);
friend Shader;
private:
	unsigned int		m_Attributes;

protected:
	inline ShaderProgram();
	inline ~ShaderProgram();

public:
	//					getParameters() const;
	inline unsigned int	getAttributes() const;

protected:
	virtual void		onSelect();
	virtual void		onDeselect();

	inline void			publishAttributes(unsigned int );
};

}; };

#endif
