/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __GRAPHICS3D_TEXTURESHADER_H
#define __GRAPHICS3D_TEXTURESHADER_H

#include "graphics3d.shader.h"


namespace magnum { namespace graphics3d {

class TextureStack;

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class TextureShader : public Shader {
DeclareClass(TextureShader, Shader);
public:
	inline TextureShader();

	static bool			isSupported();

protected:
	virtual void		onSelect() const;
	virtual void		onDeselect() const;
						
	inline void			enableTexture(unsigned int stage = 0) const;
	inline void			disableTexture(unsigned int stage = 0) const;
};

}; };

#endif
