/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __IO_INPUTSTREAM_H
#define __IO_INPUTSTREAM_H

#include "io.stream.h"
#include "base.string.h"


namespace magnum { namespace io {
using magnum::object::Object;
using magnum::types::String;


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class InputStream : public Stream {
DeclareClass(InputStream, Stream);
public:
	virtual unsigned long read(void *buffer, unsigned long size) = 0;
	virtual unsigned long skip(unsigned long size) = 0;
	virtual unsigned long available() = 0;
	virtual bool	close() = 0;
};


inline InputStream& operator>>(InputStream&, String& str);
inline InputStream* operator>>(InputStream*, String& str);

}; };

#endif
