/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __MEDIA_AUDIO_INL
#define __MEDIA_AUDIO_INL

namespace magnum { namespace media {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline AudioProducer* AudioDevice::createInput() {
	return (AudioProducer *)Device::createNode(Node::DefaultInput);
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline AudioConsumer* AudioDevice::createOutput() {
	return (AudioConsumer *)Device::createNode(Node::DefaultOutput);
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline AudioProducer::AudioProducer(Device* dev, const char*name) : Node(dev, name, Node::Input) {
}


/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
inline AudioConsumer::AudioConsumer(Device* dev, const char*name) : Node(dev, name, Node::Output) {
}


}; };


#endif
