/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __MEDIA_AUDIORENDERER_H
#define __MEDIA_AUDIORENDERER_H

#include "media.node.h"
#include "media.pin.h"
#include "media.audio.h"

namespace magnum { namespace media {
using magnum::object::Object;
using magnum::types::String;

class Device;

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class AudioRenderer : public AudioConsumer {
DeclareClass(AudioRenderer, AudioConsumer);
private:
	InputPin				m_InputPin;

public:
	static const char		NodeName[];
	static Node::Type		NodeType;
	static Node*			NodeCreator(Device* dev, const char* name);

public:
	AudioRenderer(Device* dev, const char* name);

};

}; };


#endif
