/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#ifndef __SCENE3D_SHAREDGROUP_H
#define __SCENE3D_SHAREDGROUP_H

#include "scene3d.group.h"
#include "scene3d.link.h"

namespace magnum { namespace scene3d {
using magnum::container::Chain;

class Link;

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
class SharedGroup : public Group {
DeclareClass(SharedGroup, Group);
friend class Link;
private:
	LinkList		m_Links;

public:
	bool			optimize();
};

}; };

#endif
