/* 
  Magnum 
  Copyright (C) 2002-2004 Kaya Memisoglu. All Rights Reserved.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, under the terms in LICENSE.TXT.

  Kaya Memisoglu  (k.memisoglu@dimajix.de)
*/

#include "base.h"
#include "base.main.h"
#include "system.h"

#include "system.inl"

#include <signal.h>

using namespace magnum::system;

#if defined(__FORWINDOWS__)
INT WINAPI WinMain(HINSTANCE hInst,HINSTANCE hPrevInst,LPSTR lpszCmdParam,INT nCmdShow) {
	System::WindowInstance = hInst;
#if defined(__FORDEBUG__)
	_CrtSetReportMode(_CRT_ASSERT, _CRTDBG_MODE_WNDW);
#endif
	main();
	return TRUE;
}
#endif


extern int main(void);
#undef main


int main(void) {
#if defined(__FORWINDOWS__)
	System::WindowInstance = GetModuleHandle(NULL);
#if defined(__FORDEBUG__)
	_CrtSetReportMode(_CRT_ASSERT, _CRTDBG_MODE_WNDW);
#endif
#else
	sigignore(SIGPIPE);
#endif
	return _main();
}
