#include "graphics3d.parameter.h"
#include "graphics3d.parameterformat.h"

#include "container.array.inl"
#include "graphics3d.parameter.inl"
#include "graphics3d.parameterformat.inl"


namespace magnum {namespace graphics3d {

/*----------------------------------------------------------------------------
----------------------------------------------------------------------------*/
ParameterBuffer* ParameterBuffer::create(const ParameterFormat& fmt) {
	ParameterBuffer* pb;
	if (fmt.getSize() == 0)
		return NULL;

	void* data = new byte[sizeof(ParameterBuffer) + fmt.getLength()];
	pb = new(data) ParameterBuffer;
	pb->m_Format = &fmt;
	return pb;
}


}; };
